IRPCClientScript.GetVaultApplicationLicense

View as Markdown

Vault API / standard write session

Not implemented: always returns an empty license.

ServiceClient scripts and UI extension applications MFiles.IRPCClientScript
gRPC method/MFiles.IRPCClientScript/GetVaultApplicationLicense
HTTP (mf-http-grpc)POST /grpc/v1/get-vault-application-license
RequestGetVaultApplicationLicenseRequest
ResponseGetVaultApplicationLicenseResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetVaultApplicationLicenseRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
script_applicationstringThe GUID of the application.

Response: GetVaultApplicationLicenseResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
licensestringAlways empty.